const arr= [
    {type: "湿度", value: 61.7, date: "09:54"},
    {type: "温度", value: 26.6, date: "09:54"},
    {type: "湿度", value: 59.8, date: "09:55"},
    {type: "温度", value: 26.5, date: "09:55"},
    {type: "湿度", value: 59.3, date: "09:56"},
    {type: "温度", value: 26.4, date: "09:56"},
    {type: "湿度", value: 58.8, date: "09:57"},
    {type: "温度", value: 26.2, date: "09:57"},
    {type: "湿度", value: 58.7, date: "09:58"},
    {type: "温度", value: 26.1, date: "09:58"},
    {type: "湿度", value: 59.1, date: "09:59"},
    {type: "温度", value: 25.9, date: "09:59"},
    {type: "湿度", value: 58.8, date: "10:00"},
    {type: "温度", value: 25.8, date: "10:00"},
    {type: "湿度", value: 61.4, date: "10:01"},
    {type: "温度", value: 25.7, date: "10:01"},
    {type: "湿度", value: 57.7, date: "10:02"},
    {type: "温度", value: 26, date: "10:02"},
    {type: "湿度", value: 56.6, date: "10:03"},
    {type: "温度", value: 26, date: "10:03"},
    {type: "湿度", value: 56.4, date: "10:04"},
    {type: "温度", value: 25.9, date: "10:04"},
    {type: "湿度", value: 55.9, date: "10:05"},
    {type: "温度", value: 25.8, date: "10:05"},
    {type: "湿度", value: 56.5, date: "10:06"},
    {type: "温度", value: 25.7, date: "10:06"},
    {type: "湿度", value: 56.7, date: "10:07"},
    {type: "温度", value: 25.6, date: "10:07"},
    {type: "湿度", value: 57.1, date: "10:08"},
    {type: "温度", value: 25.5, date: "10:08"},
    {type: "湿度", value: 57.3, date: "10:09"},
    {type: "温度", value: 25.4, date: "10:09"}
]

self.chartComponent = self.selectComponent('#kChart');
self.chartComponent.init((canvas, width, height) => {
    const chart = new F2.Chart({
        el: canvas,
        width,
        height
    });
    chart.source(arr, {
        'date': {
            mask: 'HH:mm',
            tickCount: 6,
            range: [0, 1]
        },
        'value': {
            tickCount: 5
        }
    });
    chart.axis('date', {
        label(text, index, total) {
            const cfg = {
                textAlign: 'center'
            };
            if (index === 0) {
                cfg.textAlign = 'left';
            }
            if (index > 0 && index === total - 1) {
                cfg.textAlign = 'right';
            }
            return cfg;
        }
    });
    chart.tooltip({
        custom: true, // 自定义 tooltip 内容框
        onChange(obj) {
            const legend = chart.get('legendController').legends.top[0];
            const tooltipItems = obj.items;
            const legendItems = legend.items;
            const map = {};
            legendItems.map(item => {
                map[item.name] = Object.assign({}, item);
            });
            tooltipItems.map(item => {
                const { name, value, title } = item;
                if (map[name]) {
                    map[name].value = `${value}|${title}`;
                }
            });
            legend.setItems(Object.values(map));
        },
        onHide() {
            const legend = chart.get('legendController').legends.top[0];
            legend.setItems(chart.getLegendItems().country);
        }
    });
    chart.area().position('date*value').color('type');
    chart.line().position('date*value').color('type');
    chart.render();
    self.chart = chart;
    Fchart = chart
    return chart;
});